features:
  secondary:
    - name: "Dark syntax highlighting theme for Web IDE"
      available_in: [core, starter, premium, ultimate]
      documentation_link: 'https://docs.gitlab.com/ee/user/profile/preferences.html#syntax-highlighting-theme'
      image_url: '/images/12_8/phikai-dark-syntax-webide.png'
      reporter: phikai
      stage: create
      categories:
        - "Web IDE"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/195701'
      description: |
        GitLab has long supported alternative [syntax highlighting themes](https://docs.gitlab.com/ee/user/profile/preferences.html#syntax-highlighting-theme) for use when browsing files in the repository or viewing diffs during the code review process. However, our code editor areas have not supported the use of this preference despite being the most requested feature for the Web IDE.

        The Web IDE now supports the Dark syntax highlighting preference in the code area. We've started with this theme, as it's the most widely used one beyond our default, but we'll continue to [expand our support](https://gitlab.com/groups/gitlab-org/-/epics/2389) for syntax highlighting preferences in the Web IDE. We'll also be working on expanding the [dark theme to the rest of the Web IDE](https://gitlab.com/gitlab-org/gitlab/issues/199664), including the file tree and sidebars.
